import { ApiValue, ApiValueKey } from '../interface';
export interface ApiRequestProps {
    value?: ApiValue;
    tabOptions?: any[];
    tabOptionsHideKeys?: string[];
    tabOptionsShowKeys?: string[];
    tabActive?: string;
}
export interface ApiRequestEmit {
    (event: 'change', key: ApiValueKey, value: any): void;
    (event: 'update:tabActive', value: any): void;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<ApiValue>;
    };
    tabOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            label: string;
            value: string;
        }[];
    };
    tabOptionsHideKeys: {
        type: import("vue").PropType<string[]>;
    };
    tabOptionsShowKeys: {
        type: import("vue").PropType<string[]>;
    };
    tabActive: {
        type: import("vue").PropType<string>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (key: keyof ApiValue, value: any) => void;
    "update:tabActive": (value: any) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<ApiValue>;
    };
    tabOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            label: string;
            value: string;
        }[];
    };
    tabOptionsHideKeys: {
        type: import("vue").PropType<string[]>;
    };
    tabOptionsShowKeys: {
        type: import("vue").PropType<string[]>;
    };
    tabActive: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onChange?: ((key: keyof ApiValue, value: any) => any) | undefined;
    "onUpdate:tabActive"?: ((value: any) => any) | undefined;
}, {
    tabOptions: any[];
}>;
export default _default;
//# sourceMappingURL=ApiRequest.vue.d.ts.map