import { IRdComponentEvent } from './entity/event';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface PropertyConfigProps {
    data?: IRdComponentEvent[];
    customKey?: boolean;
    selectedKey?: string;
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    isCrossPlatform?: boolean;
    crossPlatformOptions?: any[];
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    data: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdComponentDefineEvent[]>;
        default: () => never[];
    };
    selectedKey: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}, {
    validate: (autoSelect?: boolean) => {
        values: any;
        errors: Record<string, any> | undefined;
    };
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdComponentDefineEvent[]>;
        default: () => never[];
    };
    selectedKey: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}>>, {
    data: import("@elowcode/robotdev-design-types").RdComponentDefineEvent[];
    selectedKey: string;
    hideDefault: boolean;
}>;
export default _default;
//# sourceMappingURL=DefineEvent.vue.d.ts.map