import type { RdDefineProp } from '@elowcode/robotdev-design-types';
export interface State {
    list: RdDefineProp[];
    selectedKey: string;
}
export default function useFunctionOutput({ emitChange }: {
    emitChange: any;
}): {
    current: any;
    onChange: (key: string, value: any) => void;
    onTypeAdd: () => void;
    onTypeDel: (typeIndex: number) => void;
    onTypeChange: (typeIndex: number, key: string, val: any) => void;
    isOnlyOne: () => boolean;
};
//# sourceMappingURL=useFunctionOutput.d.ts.map