import { IRdModuleProp } from './entity/module';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface PropertyConfigProps {
    data?: IRdModuleProp[];
    selectedKey?: string;
    createText?: string;
    createItemText?: string;
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    isMultiType?: boolean;
    isCrossPlatform?: boolean;
    crossPlatformOptions?: any[];
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    data: {
        type: import("vue").PropType<IRdModuleProp[]>;
        default: () => never[];
    };
    selectedKey: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    createText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    createItemText: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {
    validate: () => IRdModuleProp[];
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: import("vue").PropType<IRdModuleProp[]>;
        default: () => never[];
    };
    selectedKey: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    createText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    createItemText: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    data: IRdModuleProp[];
    selectedKey: string;
    hideDefault: boolean;
    createText: string;
    createItemText: string;
}>;
export default _default;
//# sourceMappingURL=DefineModule.vue.d.ts.map