import InputNumber from './InputNumber.vue';
import Input from './Input.vue';
import Switch from './Switch.vue';
import Radio from './Radio.vue';
import Select from './Select.vue';
import DateTimePicker from './DateTimePicker.vue';
import Array from './Array.vue';
export { InputNumber, Input, Switch, Radio, Select, DateTimePicker, Array };
export declare const componentMapper: {
    input: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    radio: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | number | boolean>;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number | boolean>;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}>;
    switch: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | boolean;
    }>;
    select: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "placeholder" | "multiple">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: (event: "change", ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], string, {
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string | string[]>;
                default: string;
            };
            placeholder: {
                type: import("vue").PropType<string>;
                default: string;
            };
            multiple: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & {};
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | string[]>;
            default: string;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: string;
        };
        multiple: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", {
        value: string | string[];
        placeholder: string;
        multiple: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            option?(_: {
                data: any;
            }): any;
        };
    });
    option: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "placeholder" | "multiple">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: (event: "change", ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], string, {
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string | string[]>;
                default: string;
            };
            placeholder: {
                type: import("vue").PropType<string>;
                default: string;
            };
            multiple: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & {};
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | string[]>;
            default: string;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: string;
        };
        multiple: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", {
        value: string | string[];
        placeholder: string;
        multiple: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            option?(_: {
                data: any;
            }): any;
        };
    });
    whether: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | boolean;
    }>;
    'input-number': import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}>;
    'datetime-picker': import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            default: string;
        };
        getPopupContainer: {
            type: import("vue").PropType<any>;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            default: string;
        };
        getPopupContainer: {
            type: import("vue").PropType<any>;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    text: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    richText: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    password: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    email: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    mobilePhone: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    telephone: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    fax: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    url: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    file: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    image: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    video: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    datetime: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            default: string;
        };
        getPopupContainer: {
            type: import("vue").PropType<any>;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            default: string;
        };
        getPopupContainer: {
            type: import("vue").PropType<any>;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
    number: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}>;
    amount: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}>;
    sequence: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number>;
            required: true;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}>;
    icon: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
    }>;
};
export declare const componentMultipleMapper: {
    input: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    radio: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | number | boolean>;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number | boolean>;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}>;
    switch: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | boolean;
    }>;
    select: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "placeholder" | "multiple">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: (event: "change", ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], string, {
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string | string[]>;
                default: string;
            };
            placeholder: {
                type: import("vue").PropType<string>;
                default: string;
            };
            multiple: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & {};
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | string[]>;
            default: string;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: string;
        };
        multiple: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", {
        value: string | string[];
        placeholder: string;
        multiple: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            option?(_: {
                data: any;
            }): any;
        };
    });
    option: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "placeholder" | "multiple">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: (event: "change", ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: import("vue").PropType<string | string[]>;
                    default: string;
                };
                placeholder: {
                    type: import("vue").PropType<string>;
                    default: string;
                };
                multiple: {
                    type: import("vue").PropType<boolean>;
                    default: boolean;
                };
            }>> & {
                onChange?: ((...args: any[]) => any) | undefined;
            }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], string, {
                value: string | string[];
                placeholder: string;
                multiple: boolean;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string | string[]>;
                default: string;
            };
            placeholder: {
                type: import("vue").PropType<string>;
                default: string;
            };
            multiple: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & {};
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | string[]>;
            default: string;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: string;
        };
        multiple: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", {
        value: string | string[];
        placeholder: string;
        multiple: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            option?(_: {
                data: any;
            }): any;
        };
    });
    whether: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | boolean>;
            default: boolean;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | boolean;
    }>;
    'input-number': import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    'datetime-picker': import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    text: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    richText: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    password: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    email: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    mobilePhone: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    telephone: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    fax: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    url: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    file: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    image: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    video: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    datetime: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    number: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    amount: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    sequence: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
    icon: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            default: () => never[];
        };
        type: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        type: string;
    }>;
};
//# sourceMappingURL=index.d.ts.map