export declare enum Fields {
    minLength = 0,
    maxLength = 1,
    default = 2,
    required = 3,
    min = 4,
    max = 5,
    multiple = 6,
    startValue = 7,
    maxPrecision = 8,
    items = 9
}
declare type FieldKey = keyof typeof Fields;
export declare type PropertyData = {
    [x in FieldKey]?: any;
} & {
    id?: string;
    label: string;
    type: string;
};
export interface PropertyConfigProps {
    properties: PropertyData[];
}
export {};
//# sourceMappingURL=interface.d.ts.map