import { RdDefinePropType } from '@elowcode/robotdev-design-types';
import { UiType } from './use/useDefineType';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface IProps {
    types: RdDefinePropType[];
    typeValue: UiType;
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    isMultiType?: boolean;
    crossPlatformDisableds?: string[];
    crossPlatformOptions?: any[];
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
    };
    typeValue: {
        type: import("vue").PropType<UiType>;
        required: true;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformDisableds: {
        type: import("vue").PropType<string[]>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (key: string, val: any) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
    };
    typeValue: {
        type: import("vue").PropType<UiType>;
        required: true;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformDisableds: {
        type: import("vue").PropType<string[]>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}>> & {
    onChange?: ((key: string, val: any) => any) | undefined;
}, {}>;
export default _default;
//# sourceMappingURL=DefinePropTypeFields.vue.d.ts.map