import { RdDefinePropType } from '@elowcode/robotdev-design-types';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface IProps {
    types: RdDefinePropType[];
    activeKeys?: any;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    customKey?: boolean;
    optionAutoFillValue?: boolean;
    isMultiType?: boolean;
    crossPlatformOptions?: any[];
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
    };
    activeKeys: {
        type: import("vue").PropType<any>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}, {
    add: () => void;
    del: (typeIndex: number) => void;
    update: (typeIndex: number, key: string, value: any) => void;
    isOnlyOne: () => boolean;
    newOne: () => import("./use/useDefineType").UiType;
    preprocess: (types: RdDefinePropType[]) => void;
    sufprocess: () => RdDefinePropType[];
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    delete: (typeIndex: number) => true;
    change: (rdTypes: RdDefinePropType[]) => true;
    'update:activeKeys': (val: any) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
    };
    activeKeys: {
        type: import("vue").PropType<any>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}>> & {
    onChange?: ((rdTypes: RdDefinePropType[]) => any) | undefined;
    onDelete?: ((typeIndex: number) => any) | undefined;
    "onUpdate:activeKeys"?: ((val: any) => any) | undefined;
}, {}>;
export default _default;
//# sourceMappingURL=DefinePropTypes.vue.d.ts.map