import { RbInteraction } from '../RbInteraction';
export declare class ActionBase<P = any> {
    id: string;
    name: string;
    type: string;
    mode: string;
    actions: ActionBase[];
    args: any;
    readonly allowCondition = true;
    readonly store: RbInteraction;
    parent?: P;
    constructor(store: RbInteraction, parent?: P);
    protected init(): void;
    addAction(action: ActionBase, sortIndex?: number): void;
    delAction(id: string): void;
    toTREE(): {};
    toJSON(): any;
}
//# sourceMappingURL=base.d.ts.map