import type { RdData, RdDefineProp, RdDefinePropType } from '@elowcode/robotdev-design-types';
export interface Props {
    value?: RdData;
    autoFocus?: boolean;
    types?: RdDefinePropType[];
    type?: RdDefinePropType;
}
export interface FormulaInfo {
    formulaName?: string;
    parameters?: RdDefineProp[];
    modeType?: 'data' | 'function';
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<RdData>;
    };
    type: {
        type: import("vue").PropType<RdDefinePropType>;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (formData: RdData, argId?: string | undefined, value?: any) => void;
    choose: (types: RdDefinePropType[], onChange: (value: any) => void, value?: RdData | undefined) => void;
    clear: (...payload: any[]) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<RdData>;
    };
    type: {
        type: import("vue").PropType<RdDefinePropType>;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
}>> & {
    onChange?: ((formData: RdData, argId?: string | undefined, value?: any) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    onChoose?: ((types: RdDefinePropType[], onChange: (value: any) => void, value?: RdData | undefined) => any) | undefined;
}, {
    autoFocus: boolean;
}>;
export default _default;
//# sourceMappingURL=Formula.vue.d.ts.map