import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface PropertyDefinedProps {
    value: any[];
    title?: string;
    createText?: string;
    createItemText?: string;
    optionAutoFillValue?: boolean;
    customKey?: boolean;
    hideDefault?: boolean;
    hideRequired?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    isCrossPlatform?: boolean;
    isMultiType?: boolean;
    crossPlatformOptions?: any[];
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeOptions?: any[];
    typeFieldMapper?: Record<string, any>;
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<any[]>;
        required: true;
        default: () => never[];
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
        default: number;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    typeOptions: {
        type: import("vue").PropType<any[]>;
    };
    typeFieldMapper: {
        type: import("vue").PropType<Record<string, any>>;
    };
    createText: {
        type: import("vue").PropType<string>;
    };
    createItemText: {
        type: import("vue").PropType<string>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<any[]>;
        required: true;
        default: () => never[];
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
        default: number;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    typeOptions: {
        type: import("vue").PropType<any[]>;
    };
    typeFieldMapper: {
        type: import("vue").PropType<Record<string, any>>;
    };
    createText: {
        type: import("vue").PropType<string>;
    };
    createItemText: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    value: any[];
    title: string;
    depth: number;
}>;
export default _default;
//# sourceMappingURL=Module.vue.d.ts.map