export interface TreeOption {
    childrenKey?: string;
}
export declare const groupBy: <T extends Record<string, any>, U extends keyof T>(arr: T[], groupKey: U, groupLabel: U) => any[];
export declare const flattenTree: (fn: (node: any, parent: any) => any, treeList: any[], newTreeList: any[], parent?: null, opt?: TreeOption) => void;
export declare const mapTree: (fn: (node: any, parent: any) => any, tree: any[], parent?: any, opt?: TreeOption) => any[];
export declare const findTree: (fn: (node: any) => any, tree: any[], opt?: TreeOption) => null;
export declare const getExpandedKeysByValue: (tree: any[], value: string) => any[];
export declare const getAllPaths: (tree: any[]) => any[];
export declare const isArrayString: (value: any) => boolean;
declare const _default: {
    groupBy: <T extends Record<string, any>, U extends keyof T>(arr: T[], groupKey: U, groupLabel: U) => any[];
    flattenTree: (fn: (node: any, parent: any) => any, treeList: any[], newTreeList: any[], parent?: null, opt?: TreeOption | undefined) => void;
    mapTree: (fn: (node: any, parent: any) => any, tree: any[], parent?: any, opt?: TreeOption | undefined) => any[];
    findTree: (fn: (node: any) => any, tree: any[], opt?: TreeOption | undefined) => null;
};
export default _default;
//# sourceMappingURL=arrayUtils.d.ts.map