export declare const _getDomRectInParent: (dom: HTMLElement, parent: HTMLElement) => {
    left: number;
    top: number;
    width: number;
    height: number;
};
export declare const _getDomRectInClient: (dom: HTMLElement) => {
    left: any;
    top: any;
    width: number;
    height: number;
};
export declare const _getScrollFormClient: (el: HTMLElement) => {
    top: number;
    left: number;
};
export declare const _getScrollFromParent: (el: HTMLElement, parent: HTMLElement) => {
    top: number;
    left: number;
};
export declare const _getOffset: (el: HTMLElement) => 0 | {
    left: number;
    top: number;
};
export declare const _getScroll: (scrollProp: keyof HTMLElement, offsetProp: any) => number;
export declare const _isBlockLevel: (dom: HTMLElement) => boolean;
export declare const _getPointLayoutInParent: (source: HTMLElement, point: HTMLElement) => 1 | 2;
/**
 *
 * @param e 鼠标指针
 * @param dom 指向dom元素
 * @param layout  1 -row , 2 - column
 * @returns 指针位于dom元素内部偏移   1 - 前 ， 2 - 后
 */
export declare const _getPointEventInDom: (e: any, dom: HTMLElement, layout: number) => 1 | 2;
export declare const _getDomWidth: (dom: HTMLElement) => number;
export declare const _getDomHeight: (dom: HTMLElement) => number;
export declare const _getElementByString: (str: string, parentElement?: HTMLElement) => HTMLElement | null;
export declare const _getElementsByString: (str: string[], parentElement?: HTMLElement) => HTMLElement[] | null;
export declare const _transferHTMLCollectionToHTMLArray: (hc: HTMLCollection | undefined) => HTMLElement[];
//# sourceMappingURL=element-helper.d.ts.map