export interface TreeOption {
    childrenKey?: string;
}
export declare const flattenTree: (fn: (node: any) => any, treeList: any[], newTreeList: any[], opt?: TreeOption) => void;
export declare const mapTree: <T, U>(fn: (node: T) => U, tree: T[], opt?: TreeOption) => U[];
export declare const getNodePath: (node: any) => any[];
export declare const getNodeByPath: (tree: any[], path: any[], opt?: {
    primaryKey: string;
    childrenKey: string;
}) => any;
export declare const findTree: <T extends Record<string, any> = any>(fn: (node: T) => boolean, tree: T[], opt?: TreeOption) => T | null;
export declare const findPath: <T extends Record<string, any> = any>(func: (node: T) => boolean, tree: T[], config?: {
    childrenKey: string;
}) => T[] | null;
//# sourceMappingURL=tree-helper.d.ts.map