interface MenuOption {
    key: string;
    label: string;
    desc?: string;
    disabled?: boolean;
    visible?: boolean;
    children?: MenuOption[];
    border?: boolean;
}
declare const _default: import("vue").DefineComponent<{
    visible: {
        type: import("vue").PropType<(key: string) => boolean>;
        required: true;
        default: () => false;
    };
    disabled: {
        type: import("vue").PropType<(key: string) => boolean>;
        required: true;
        default: () => false;
    };
    chooseLevelList: {
        type: import("vue").PropType<MenuOption[]>;
        default: () => never[];
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    selected: (action: string, nodeId: string) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    visible: {
        type: import("vue").PropType<(key: string) => boolean>;
        required: true;
        default: () => false;
    };
    disabled: {
        type: import("vue").PropType<(key: string) => boolean>;
        required: true;
        default: () => false;
    };
    chooseLevelList: {
        type: import("vue").PropType<MenuOption[]>;
        default: () => never[];
    };
}>> & {
    onSelected?: ((action: string, nodeId: string) => any) | undefined;
}, {
    visible: (key: string) => boolean;
    disabled: (key: string) => boolean;
    chooseLevelList: MenuOption[];
}>;
export default _default;
//# sourceMappingURL=NodeMenu.vue.d.ts.map