export interface ApiCreateDialogProps {
    title?: string;
    options?: any[];
    activeKey?: string;
}
export interface ApiCreateDialogEmit {
    (event: 'change', value: any): void;
    (event: 'submit', value: any, close?: () => void): void;
}
declare const _default: import("vue").DefineComponent<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    options: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
            introBrief: string;
            intro: string;
            icon: string;
        }[];
    };
    activeKey: {
        type: import("vue").PropType<string>;
    };
}, {
    open: () => void;
    close: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: any) => void;
    submit: (value: any, close?: (() => void) | undefined) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    options: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
            introBrief: string;
            intro: string;
            icon: string;
        }[];
    };
    activeKey: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onChange?: ((value: any) => any) | undefined;
    onSubmit?: ((value: any, close?: (() => void) | undefined) => any) | undefined;
}, {
    title: string;
    options: any[];
}>;
export default _default;
//# sourceMappingURL=ApiCreateDialog.vue.d.ts.map