import { PropertyData } from '../../components/define-property';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface PropertyConfigProps {
    data?: PropertyData[];
    customKey?: boolean;
    selectedKey?: string;
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    data: {
        type: import("vue").PropType<PropertyData[]>;
        default: () => never[];
    };
    selectedKey: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}, {
    validate: () => any;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: import("vue").PropType<PropertyData[]>;
        default: () => never[];
    };
    selectedKey: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}>>, {
    data: PropertyData[];
    selectedKey: string;
    hideDefault: boolean;
}>;
export default _default;
//# sourceMappingURL=DefineSlot.vue.d.ts.map