import { PlatformOpt, PlatformOptValue } from '../constants';
export interface IUsePlatforms {
    options?: (PlatformOpt | PlatformOptValue)[];
    disableds?: any[];
    extendPlatform?: boolean;
    platforms?: PlatformOptValue[];
}
export default function usePlatforms(props: IUsePlatforms, onChange: (key: string, value: any) => void): {
    internalValue: {
        type: string;
        platforms: import("../constants").PLATFORMS[];
    };
    mergedOptions: import("vue").ComputedRef<{
        label: string;
        value: import("../constants").PLATFORMS;
        icon: string;
    }[]>;
    onTypeChange: () => void;
    onPlatform: (opt: {
        label: string;
        value: import("../constants").PLATFORMS;
        icon: string;
    }) => void;
    isActive: (opt: {
        label: string;
        value: import("../constants").PLATFORMS;
        icon: string;
    }) => boolean;
    isDisabled: (opt: {
        label: string;
        value: import("../constants").PLATFORMS;
        icon: string;
    }) => boolean | undefined;
};
//# sourceMappingURL=usePlatforms.d.ts.map