import DataBind from './DataBind.vue';
import DataBindDialog from './DataBindDialog.vue';
import DataBindFormulaDialog from './DataBindFormulaDialog.vue';
import DataBindButton from './DataBindButton.vue';
export * from './props';
declare const DataBindComponents: {
    getApiData: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getSlotData: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getEachData: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getCmptPropData: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    custom: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any>;
            default: string;
        };
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any>;
            default: string;
        };
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        placeholder: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        value: any;
        title: string;
        placeholder: string;
    }>;
    getVariable: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getEventData: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getBusinessParam: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getAcArguments: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
    getUserInfo: import("vue").DefineComponent<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }, {
        getValueTypes: () => any;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (values: any) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
        };
        subTitle: {
            type: import("vue").PropType<string>;
            default: string;
        };
    }>> & {
        onChange?: ((values: any) => any) | undefined;
    }, {
        title: string;
        subTitle: string;
    }>;
};
export { DataBindComponents, DataBind, DataBindDialog, DataBindFormulaDialog, DataBindButton };
//# sourceMappingURL=index.d.ts.map