import type { RdDefineProp, RdInType } from '@elowcode/robotdev-design-types';
export declare type IRdApiPath = RdDefineProp;
export declare enum EPlatform {
    WX = "weixin"
}
export declare type EPlatformType = `${EPlatform}` | string;
export declare type TBaseTypes = 'string' | 'number' | 'boolean' | 'array' | 'object' | 'function';
export declare type TTypes = ('text' | 'richText' | 'password' | 'email' | 'mobilePhone' | 'telephone' | 'fax' | 'option' | 'url' | 'file' | 'image' | 'video' | 'datetime' | 'number' | 'amount' | 'whether' | 'icon' | 'module' | 'sequence') | RdInType | string;
export declare const createApiPathId: () => string;
//# sourceMappingURL=api-path.d.ts.map