export interface FormulaGroup {
    id: string;
    label: string;
    parentId: null;
}
export interface FormulaBasic {
    mode: string;
    title?: string;
    subtitle?: string | string[];
    desc?: string;
    doc?: string;
    groupId?: string;
    types: {
        type: string;
        multiple?: boolean;
    }[];
    example?: string;
    parameters: {
        key: string;
        name: string;
        desc: string;
        types: any[];
        required?: boolean;
        ui?: {
            title: string;
            desc?: string;
            display?: any;
        };
    }[];
}
declare const _default: () => {
    formula: {
        basic: import("vue").Ref<{}>;
        group: import("vue").Ref<{
            id: string;
            label: string;
            parentId: null;
        }[]>;
        treeData: import("vue").Ref<{
            key: string;
            label: string;
            parentId: null;
            disabled: true;
            children: {
                key: string;
                label: string | undefined;
            }[];
        }[]>;
        data: import("vue").Ref<any[]>;
    };
    getRootkey: (node: any) => any;
};
export default _default;
//# sourceMappingURL=useFunctionFormula.d.ts.map