import type { RdDefinePropType } from '@elowcode/robotdev-design-types';
import { JsonFormTheme } from './themes/type';
import { JsonFormMode, RdJsonFormValue, TypeUi } from './type';
export declare type FieldValueType = 'input' | 'input-number' | 'radio' | 'select' | 'object' | 'option' | 'datetime-picker' | 'length-range' | 'number-range' | 'icon' | string;
export interface FieldValueProps {
    childrenMode?: JsonFormMode;
    type?: RdDefinePropType;
    typeUi?: TypeUi;
    autoFocus?: boolean;
    value?: RdJsonFormValue;
    theme?: JsonFormTheme;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdDataArguments>;
    };
    type: {
        type: import("vue").PropType<RdDefinePropType>;
    };
    theme: {
        type: import("vue").PropType<JsonFormTheme>;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
    typeUi: {
        type: import("vue").PropType<TypeUi>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "focus" | "clear" | "openBind")[], "change" | "focus" | "clear" | "openBind", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdDataArguments>;
    };
    type: {
        type: import("vue").PropType<RdDefinePropType>;
    };
    theme: {
        type: import("vue").PropType<JsonFormTheme>;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
    typeUi: {
        type: import("vue").PropType<TypeUi>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    onOpenBind?: ((...args: any[]) => any) | undefined;
}, {
    autoFocus: boolean;
}>;
export default _default;
//# sourceMappingURL=JsonFormOne.vue.d.ts.map