export declare const MULTIPLE_ROW: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const RULE_LENGTH: {
    label: string;
    key: string;
    components: {
        key: string[];
        control: string;
        props: {
            placeholders: {
                minLength: string;
                maxLength: string;
            };
        };
    }[];
};
export declare const DEFAULT: {
    label: string;
    key: string;
    components: {
        control: string;
        props: {
            placeholder: string;
        };
    }[];
};
export declare const IS_REQUIRED: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const IS_MULTIPLE: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const MAX_PRECISION: {
    label: string;
    key: string;
    components: {
        control: string;
        props: {
            placeholder: string;
        };
    }[];
};
export declare const CROSS_PLATFORM: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
//# sourceMappingURL=fields-constants.d.ts.map