declare type Callback = (...args: any[]) => void;
declare type Events = {
    [key: string]: [Callback, string?][];
};
declare class AsEvent {
    events: Events;
    on(type: string, callback: Callback, name?: string): this | undefined;
    once(type: string, callback: Callback, name?: string): this | undefined;
    off(type: string, target?: Callback | string): this | undefined;
    emit(type: string, ...args: any[]): this;
    emitName(type: string, name: string, ...args: any[]): this;
}
export type { AsEvent };
export declare const initEvent: () => AsEvent;
//# sourceMappingURL=event.d.ts.map